version: 26.3.2
files:
  - url: Trezor-Suite-26.3.2-mac-x64.zip
    sha512: +yFjwoj+Puxw+vGNCC6K+n7SdHJmhTwFrDJ8iVudVyCP3c/gQw6XSFq28Anau0VtaoN7delKJo1UhTnvuHn5LA==
    size: 172425723
  - url: Trezor-Suite-26.3.2-mac-arm64.zip
    sha512: Lthopo3jNmX4glWoX0f/hamSFuKFNDxaW2PFApJq5/AiEn2L2+KAJcib0kR04P0yp5ILaRdhO6ChVGrn4jSA9A==
    size: 163802179
  - url: Trezor-Suite-26.3.2-mac-x64.dmg
    sha512: WVSg98gncy4bgtulf5MdRygfKqTKNCHUR2xNtaCHibU8pQMGUEVWF/T/yx/h9N1yygzwLgC3O7yev2NNRWgA3Q==
    size: 178524446
  - url: Trezor-Suite-26.3.2-mac-arm64.dmg
    sha512: 28aGcWd4MKkB6JNtfSWZv7e/ClK7HRJ6IYDuAtanK/rRPKKQwbrzDk7XxzIiUOBjb3niV6zwEA++mSPaAL/38Q==
    size: 169811987
path: Trezor-Suite-26.3.2-mac-x64.zip
sha512: +yFjwoj+Puxw+vGNCC6K+n7SdHJmhTwFrDJ8iVudVyCP3c/gQw6XSFq28Anau0VtaoN7delKJo1UhTnvuHn5LA==
releaseNotes: |
  ### 🎨 Improvements

  - Solana account data inconsistencies have been resolved, ensuring more accurate account information and balances.
  - Cardano staking has been enhanced. Users can now update their delegation preferences directly within the staking interface.
  - Decentralized exchanges (DEXs) are now highlighted at the top of the comparison page, helping you more easily discover non-custodial trading options.
  - The country picker has been refined for a smoother and more intuitive selection experience. U.S. users can now also select their state.
  - The trading flow with BTC Direct has been simplified for a more streamlined experience.

  ### 🔧 Bug fixes

  - Minor issues have been resolved, along with general usability improvements for a more stable and seamless experience.
releaseDate: '2026-03-17T11:52:56.530Z'
stagingPercentage: 20
